<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@4002=14</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@421D=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@12D9</action>
    </script>
    <script state="run">
      <action>maincpu.mb@12D9=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@12D9=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>This cheat enables continuous attack during by holding the fire button</comment>
    <script state="run">
      <action>maincpu.pw@4010=0000|(maincpu.pw@4010 BAND ~1010)</action> <!-- 4010 replaces 4013 which is not working in 0123u4 -->
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
